Skip to main content
`Ctrl`+`K`

# PetscOptionsPop

Pop the most recent `PetscOptionsPush()` to return to the previous default options

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsPop(void)

Logically Collective on whatever communicator was associated with the call to `PetscOptionsCreate()`

## See Also

`PetscOptionsCreate()`, `PetscOptionsInsert()`, `PetscOptionsSetValue()`, `PetscOptionsLeft()`

## Level

advanced

## Location

src/sys/objects/options.c

## Examples

src/sys/tutorials/ex20.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages